/**

Theme Name: SGI child

Author: SGI LAB srl

Author URI: https://www.sgiservizi.net

Description: SGI propone soluzioni digitali cucite su misura per il tuo business. La nostra agenzia, con sede a Padova, si occuperà di creare la tua presenza online e portare la tua attività al livello successivo.

Version: 1.0.0

License: GNU General Public License v2 or later

License URI: http://www.gnu.org/licenses/gpl-2.0.html

Text Domain: sgi-child

Template: astra

*/

/* #MM */

div.wp-block-file a {
  margin-top: 10px !important;
  font-family: var(--e-global-typography-01289dc-font-family);
  font-size: 1.2rem;
  color: var(--e-global-color-text);
  text-transform: uppercase;
}

:root :where(.wp-element-button, .wp-block-button__link) {
  background-color: var(--e-global-color-primary) !important;
  color: #fff !important;
  font-family: var(--e-global-typography-01289dc-font-family);
  font-size: 1.2rem;
  padding: calc(0.667em + 2px) calc(1.333em + 2px);
  text-decoration: none;
  border-radius: 0;
  text-transform: uppercase;
}

/*div.wp-block-file {
  margin-top:10px !important;
    border-top: 1px dotted var(--e-global-color-accent);
}
*/


.wp-block-button .wp-block-button__link {
  border-color: var(--e-global-color-primary);
  background-color: var(--e-global-color-primary);
  font-family: var(--e-global-typography-primary-font-family);
  font-size: 1rem;
  font-weight: 500;
  color: #FFFFFF;
}


.wp-block-button .wp-block-button__link:hover,
.wp-block-button .wp-block-button__link:focus {
  border-color: var(--e-global-color-accent);
  background-color: var(--e-global-color-accent);
  color: var(--e-global-color-text);
}


.elementor-field-type-acceptance .elementor-field-subgroup .elementor-field-option label {
  color: inherit !important;
}

.elementor-lightbox .elementor-lightbox-image {
  background-color: #FFF !important;
}

/* codice per evitare che il menu vada sopra alla lightbox */

@media (min-width: 1025px) {
  .ha-navbar-nav-default.ha-menu-container {
    z-index: 1000 !important;
  }
}


i#home {
  padding-bottom: 5px;
}


/* INDICE TABELLA DEI CONTENUTI*/

.elementor-toc__header {
  padding: 2rem 0 0 2rem !important;
}

.elementor-toc__toggle-button i {
  padding: 0rem 2rem 2rem 0 !important;
}



/* RENDE LA PAGINA A PIENO SCHERMO SE + CORTA */

#page {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

.admin-bar #page {
  min-height: calc(100vh - 32px);
}

#page .site-content {
  flex-grow: 1;
}


/* SEARCH */

.is-form-style input.is-search-input {
  font-family: var(--e-global-typography-font-family);
  text-transform: uppercase;
  font-size: 0.8rem !important;
}



/* SOCIAL WALL */

.ff-loadmore-wrapper .ff-btn {
  font-size: 0.8rem !important;
  text-transform: uppercase !important;
  border-radius: 0 !important;
  font-family: var(--e-global-typography-accent-font-family);
  font-weight: var(--e-global-typography-accent-font-weight);
  background-color: var(--e-global-color-secondary) !important;
}

.ff-loadmore-wrapper .ff-btn:hover {
  color: var(--e-global-color-secondary) !important;
  background-color: #FFF !important;

}


/* WPDM */

.w3eden .btn-primary:hover,
.w3eden .btn-info,
.w3eden .pagination .page-numbers {
  color: #fff !important;
  font-family: var(--e-global-typography-accent-font-family) !important;
  background-color: var(--e-global-color-secondary) !important;
  text-transform: uppercase;
  font-size: 0.7rem;
  border: 0 !important;
  border-radius: 0 !important;
}

.w3eden .pagination .page-numbers.current,
.w3eden .pagination .page-numbers.current-page,
.w3eden .pagination .page-numbers.next,
.w3eden .pagination .page-numbers.prev,
.w3eden .btn-info:hover,
.w3eden .pagination .page-numbers:hover,
.w3eden .btn-primary {
  border: 0 !important;
  background-color: var(--e-global-color-primary) !important;
  text-decoration: none;
  color: #FFF !important;
  text-transform: uppercase;
    font-size: 0.7rem;
  border-radius: 0 !important;
}



div.active .elementor-widget-container {
  background-color: var(--e-global-color-secondary) !important;
}

.w3eden .card-body {
  background-color: var(--e-global-color-b7c1053) !important;
}

.w3eden .card h3,
h3.package-title {
  font-size: 1rem;
  font-family: var(--e-global-color-secondary) !important;
}

.text-muted.text-small {
  font-size: 0.8rem;
}

.w3eden .card {
  border: 0 !important;
  height: calc(100% - 0.5rem);
  /*   background-color: var(--e-global-color-10322adc); da aggiungere se ho pagine a sfondo bianco (es. certificazioni) */
}

.w3eden a:hover {
  background-color: var(--e-global-color-text) !important;
  box-shadow: none !important;
  border: 0 !important;
  transition: none !important;
}

ul.pagination.wpdm-pagination {
  margin-top: 2rem;
}


.w3eden .pagination {
    display: flex;
    padding-left: 0;
    list-style: none;
    gap: .25rem;
    align-content: stretch;
    align-items: center;
    flex-direction: row;
}

/* FIX PER NASCONDERE BUG TOOLBAR WPDM 
.wpdm-shortcode-toolbar {
  display: none !important;
}
*/




/* FRECCE INCREMENTO NUMERO INPUT */

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}




/* TABLEPRESS */


.tablepress {
  --text-color: var(--e-global-color-text);
  --head-text-color: #FFF;
  --head-bg-color: var(--e-global-color-primary);
  --odd-text-color: var(--e-global-color-text);
  --odd-bg-color: #F9FBFD;
  --even-text-color: var(--e-global-color-text);
  --even-bg-color: #FFFFFF;
  --hover-text-color: var(--e-global-color-text);
  --hover-bg-color: var(--e-global-color-10322adc);
  --border-color: #E5E5E5;
  --padding: 0.5rem;
  font-family: var(--e-global-typography-font-family);
  border: 1px solid #F9FBFD !important;
  border-collapse: collapse;
  border-spacing: 0;
  clear: both;
  margin: 0 auto 1rem;
  table-layout: auto;
  width: 100%;
}

.tablepress-table-description {
  font-style: italic;
}

.tablepress th {
  font-family: var(--e-global-typography-font-family);
  width: 20% !important;
  vertical-align: top;
  text-transform: uppercase;
  font-weight: var(--e-global-typography-accent-font-weight);
}



/* OMBRE SU TXT TAB LATERALI */
.elementor-widget-container>.e-n-tabs>.e-n-tabs-heading>.e-n-tab-title[aria-selected="false"]:not( :hover) {
  text-shadow: none !important;
}

button.ha-menu-close {
  padding: 0;
  margin: 7px;
  width: 30px;
  border-radius: 0;
  height: 30px;
}


/* COOKIE BANNER */
.cmplz-cookiebanner .cmplz-buttons .cmplz-btn.cmplz-accept,
.cmplz-cookiebanner .cmplz-buttons .cmplz-btn.cmplz-deny,
.cmplz-cookiebanner .cmplz-buttons .cmplz-btn.cmplz-view-preferences,
.cmplz-cookiebanner .cmplz-buttons .cmplz-btn.cmplz-save-preferences {
  font-size: 11px !important;
  text-transform: uppercase !important;
}

.cmplz-cookiebanner .cmplz-buttons .cmplz-btn {
  padding: 5px !important;
  height: 30px !important;
}



/* EVENTI */

#tribe-events-pg-template {
  max-width: none !important;
  padding: 0 !important;
}


.fc-daygrid.fc-dayGridMonth-view.fc-view,
.fc-timegrid.fc-timeGridWeek-view.fc-view,
.fc-timegrid.fc-timeGridDay-view.fc-view,
.fc-view-harness.fc-view-harness-active {
  background: #FFF;
}

.fc-daygrid-event-harness,
div.fc-event-main {
  background: var(--e-global-color-primary);
  color: #FFFFFF;
  border: 1px solid var(--e-global-color-primary);
}

.fc-daygrid-event-harness a {
  color: #FFFFFF;
}

div.fc-event-time {
  display: none;
}

div.fc-event-title,
.fc-list-event-title {
  font-size: 1.2rem !important;
  font-family: var(--e-global-typography-primary-font-family);
}

div.fc-header-toolbar.fc-toolbar.fc-toolbar-ltr {
  font-family: var(--e-global-typography-primary-font-family);
  text-transform: uppercase !important;
}

.fc-daygrid-event-dot,
.fc-list-event-dot {
  border-color: var(--e-global-color-accent) !important;
}

.fc-toolbar-title {
  color: var(--e-global-color-accent) !important;
  font-family: var(--e-global-typography-primary-font-family);
  text-transform: uppercase !important;
}

th.fc-timegrid-axis,
a.fc-list-day-text,
a.fc-col-header-cell-cushion,
span.fc-timegrid-axis-cushion.fc-scrollgrid-shrink-cushion,
.fc-direction-ltr .fc-timegrid-slot-label-frame,
.fc-list-event-time,
.fc-list-day-side-text,
h2.ectbe-ec-modal-title {
  font-family: var(--e-global-typography-primary-font-family) !important;
  text-transform: uppercase !important;
  color: var(--e-global-color-primary);
}

div.fc-scrollgrid-sync-inner {
  font-family: var(--e-global-typography-primary-font-family) !important;
}

div.comitato-comp-items ul:not(:first-child) {
  padding-top: 10px !important;
}

/* AREA RISERVATA */

.w3eden.wpdm-auth-page {
    display: none !important;
}




.wpdm-nav-link, .wpdm-user-profile, .wpdm-user-info {
    display: flex;
    gap: 12px;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
}

.wpdm-nav-group-title {
    display:none;
}

.wpdm-sidebar-header .wpdm-user-avatar {
    width: 70% !important;
    height: 70% !important;
}

.wpdm-recommended-thumb {
    display: none;
}

.wpdm-nav-group {
    text-transform: uppercase;
}

.wpdm-user-name:before {
    content: 'Bentornato' !important;
    color: var(--e-global-color-accent) !important;
    font-family: var(--e-typogrpahy-primary-font-family) !important;
    text-transform: uppercase !important;
    width: 100% !important;
    font-size:1.3rem !important;
}

.wpdm-user-name {
    display: flex !important;
    flex-direction: column !important;
    align-items: center !important;
}

.wpdm-main-inner {
    background-color: var(--e-global-color-261498b) !important;
}

.wpdm-nav-group:hover,
a.wpdm-nav-link:hover {
    background-color: var(--e-global-color-accent) !important;
}

a.wpdm-nav-link.active:hover {
    background-color: var(--e-global-color-secondary) !important;
}

.wpdm-recommended-title:hover {
  color:#FFF !important;
}

.wpdm-dashboard {
    --sidebar-bg: var(--e-global-color-secondary) !important;
    --sidebar-active: var(--e-global-color-accent) !important;
    --text-primary: var( --e-global-color-text ) !important;
    --text-secondary: #475569;
    --text-muted: #94a3b8;
    --radius-sm: 0 !important;
    --radius-md: 0 !important;
    --radius-lg: 0 !important;
    --radius-xl: 0 !important;
    font-size: 1rem !important;
    font-family: var(--e-global-typography-5adf142-font-family) !important;
}